Chromium Code Reviews
Help | Chromium Project | Sign in
(13)

Issue 6905053: Add 2 Extension APIs for handwriting: experimental.input.sendHandritingStroke and cancelHandWriting (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years ago by Yusuke Sato
Modified:
4 years ago
CC:
chromium-reviews, Aaron Boodman, pam+watch_chromium.org, mazda
Visibility:
Public.

Description

Add 2 Extension APIs for handwriting: experimental.input.sendHandritingStroke and cancelHandWriting This CL depends on http://codereview.chromium.org/6902067/. BUG=chromium-os:14421 TEST=ran emerge Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=85593

Patch Set 1 #

Total comments: 14

Patch Set 2 : review fix #

Patch Set 3 : added TODOs #

Patch Set 4 : fix windows build #

Total comments: 4

Patch Set 5 : review fix #

Total comments: 16

Patch Set 6 : review fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+118 lines, -5 lines) Patch
M chrome/browser/chromeos/cros/input_method_library.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/cros/input_method_library.cc View 1 2 3 4 5 2 chunks +4 lines, -3 lines 0 comments Download
M chrome/browser/chromeos/cros/mock_input_method_library.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/extension_function_dispatcher.cc View 1 2 3 4 5 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_input_api.h View 1 2 3 4 5 1 chunk +21 lines, -0 lines 0 comments Download
M chrome/browser/extensions/extension_input_api.cc View 1 2 3 4 5 3 chunks +53 lines, -0 lines 0 comments Download
M chrome/common/extensions/api/extension_api.json View 1 2 3 4 5 1 chunk +32 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 20 (0 generated)
Yusuke Sato
4 years ago (2011-04-27 10:11:06 UTC) #1
Zachary Kuznia
lgtm http://codereview.chromium.org/6905053/diff/1/chrome/browser/extensions/extension_input_api.cc File chrome/browser/extensions/extension_input_api.cc (right): http://codereview.chromium.org/6905053/diff/1/chrome/browser/extensions/extension_input_api.cc#newcode52 chrome/browser/extensions/extension_input_api.cc:52: const DictionaryValue* dict, const char* key, double* result) ...
4 years ago (2011-04-27 10:25:09 UTC) #2
Peng
http://codereview.chromium.org/6905053/diff/1/chrome/common/extensions/api/extension_api.json File chrome/common/extensions/api/extension_api.json (right): http://codereview.chromium.org/6905053/diff/1/chrome/common/extensions/api/extension_api.json#newcode2422 chrome/common/extensions/api/extension_api.json:2422: { I am thinking it is better to have ...
4 years ago (2011-04-27 15:13:44 UTC) #3
Mihai Parparita -not on Chrome
Higher-level questions: what is the use-case for this? how will extensions be getting handwriting strokes ...
4 years ago (2011-04-27 23:34:51 UTC) #4
Yusuke Sato
Thanks for the review, Mihai and all. > Higher-level questions: what is the use-case for ...
4 years ago (2011-04-28 10:57:07 UTC) #5
Yusuke Sato
(try bots are red since dependent CLs are not submitted yet...) On 2011/04/28 10:57:07, Yusuke ...
4 years ago (2011-04-28 10:58:50 UTC) #6
Peng
http://codereview.chromium.org/6905053/diff/1/chrome/common/extensions/api/extension_api.json File chrome/common/extensions/api/extension_api.json (right): http://codereview.chromium.org/6905053/diff/1/chrome/common/extensions/api/extension_api.json#newcode2422 chrome/common/extensions/api/extension_api.json:2422: { On 2011/04/28 10:57:07, Yusuke Sato wrote: > Are ...
4 years ago (2011-04-28 15:00:30 UTC) #7
Yusuke Sato
Talked with Zach offline. > If we put all APIs in chrome.input, it will hide ...
4 years ago (2011-05-02 06:52:30 UTC) #8
Yusuke Sato
http://codereview.chromium.org/6905053/diff/1/chrome/browser/extensions/extension_input_api.cc File chrome/browser/extensions/extension_input_api.cc (right): http://codereview.chromium.org/6905053/diff/1/chrome/browser/extensions/extension_input_api.cc#newcode51 chrome/browser/extensions/extension_input_api.cc:51: bool GetDoubleValue( On 2011/04/27 23:34:51, Mihai Parparita wrote: > ...
4 years ago (2011-05-02 07:01:01 UTC) #9
Peng
http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_function_dispatcher.cc File chrome/browser/extensions/extension_function_dispatcher.cc (right): http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_function_dispatcher.cc#newcode327 chrome/browser/extensions/extension_function_dispatcher.cc:327: #if defined(TOOLKIT_VIEWS) && defined(TOUCH_UI) Is TOOLKIT_VIEWS necessary? http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_input_api.cc File ...
4 years ago (2011-05-02 13:59:51 UTC) #10
Peng
On 2011/05/02 06:52:30, Yusuke Sato wrote: > Talked with Zach offline. > > > If ...
4 years ago (2011-05-02 14:01:17 UTC) #11
bryeung
On Mon, May 2, 2011 at 9:59 AM, <penghuang@chromium.org> wrote: > > http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_function_dispatcher.cc > File ...
4 years ago (2011-05-02 14:12:14 UTC) #12
Yusuke Sato
Thanks Bryan, Peng. Please take another look. http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_function_dispatcher.cc File chrome/browser/extensions/extension_function_dispatcher.cc (right): http://codereview.chromium.org/6905053/diff/4006/chrome/browser/extensions/extension_function_dispatcher.cc#newcode327 chrome/browser/extensions/extension_function_dispatcher.cc:327: #if defined(TOOLKIT_VIEWS) ...
4 years ago (2011-05-04 14:28:35 UTC) #13
Peng
LGTM On 2011/05/04 14:28:35, Yusuke Sato wrote: > Thanks Bryan, Peng. Please take another look. ...
4 years ago (2011-05-04 14:32:22 UTC) #14
Yusuke Sato
Hi Mihai, can I submit the change? On 2011/05/04 14:32:22, Peng wrote: > LGTM > ...
4 years ago (2011-05-05 18:06:30 UTC) #15
Mihai Parparita -not on Chrome
Generally LGTM with the nits below. Note that I'm not in OWNERS for extensions (yet). ...
4 years ago (2011-05-05 22:47:49 UTC) #16
Erik does not do reviews
Hi everyone. I've indicated to others in the past that I'd like to avoid #defined ...
4 years ago (2011-05-06 00:51:03 UTC) #17
Yusuke Sato
(sorry for the delay, I was ooo last week.) Fixed. Please take another look. > ...
4 years ago (2011-05-16 15:47:38 UTC) #18
Peng
LGTM. On 2011/05/16 15:47:38, Yusuke Sato wrote: > (sorry for the delay, I was ooo ...
4 years ago (2011-05-16 22:31:28 UTC) #19
I haz the power - commit-bot
4 years ago (2011-05-17 04:16:18 UTC) #20
Presubmit check for 6905053-15001 failed and returned exit status 1.

Running presubmit commit checks ...

** Presubmit Warnings **

This change modifies file(s) which the extension docs depend on. You must
rebuild the extension docs.

Build by running the build.py script in chrome/common/extensions/docs/build/.

Be sure to include any modified resulting static files
(/common/extension/docs/*.html) in your final changelist.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be